import { HttpClient } from "@angular/common/http";
import { Injectable } from "@angular/core";
import { DynaDataService } from "@xdf/gallery";
import { Observable } from "rxjs";

const serviceURL = './service/settings/calendar';

@Injectable({
    providedIn: 'root'
})
export class CalendarService extends DynaDataService{

    constructor(private httpClient: HttpClient) {
        super(httpClient);
    }

    getCalendarList():Observable<any> {  
        return this.httpClient.get(serviceURL + "/all");
    }

    // getAllCalendar(){
    //     return this.httpClient.get(serviceURL+'/all')
    // }
}
